/**
 * Demonstriert die Verwendung
 * der Optionen max und offset bei eachDOmain
 * 
 */

import MVC.domain.EmployeesDomain

EmployeesDomain emp = new EmployeesDomain(db:db.dbh)

render """
Demonstriert die Verwendung von max und offset<br />
mit der Methode eachDomain
"""

render "<h1>eachDomain(max:3,orderby:'EMPLOYEE_ID')</h1>"
emp.eachDomain(max:3,orderby:'EMPLOYEE_ID') {d1->
   render "${d1.employeeID}<br />"
   }

render "<h1>eachDomain(max:3,offset:1,orderby:'EMPLOYEE_ID')</h1>"
emp.eachDomain(max:3,offset:1,orderby:'EMPLOYEE_ID') {d1->
   render "${d1.employeeID}<br />"
   }

render "<h1>eachDomain(orderby:'EMPLOYEE_ID',where:'EMPLOYEE_ID > 200',max:32)</h1>"
emp.eachDomain(orderby:'EMPLOYEE_ID',where:'EMPLOYEE_ID > 200',max:32) {d1->
   render "${d1.employeeID}<br />"
   }

render "<h1>eachDomain(orderby:'EMPLOYEE_ID',where:'EMPLOYEE_ID > 200',max:32,offset:3)</h1>"
emp.eachDomain(orderby:'EMPLOYEE_ID',where:'EMPLOYEE_ID > 200',max:32,offset:3) {d1->
   render "${d1.employeeID}<br />"
   }

render "<h1>eachDomain(orderby:'EMPLOYEE_ID',where:'EMPLOYEE_ID > 200',max:1,offset:3)</h1>"
emp.eachDomain(orderby:'EMPLOYEE_ID',where:'EMPLOYEE_ID > 200',max:1,offset:3) {d1->
   render "${d1.employeeID}<br />"
   }

render "<h1>eachDomainByEmployeeIDGreaterThan(conditions:[200],max:3)</h1>"
emp.eachDomainByEmployeeIDGreaterThan(conditions:[200],max:3) {d1->
   render "${d1.employeeID}<br />"
   }

render "<h1>eachDomainByEmployeeIDLessThan(conditions:[200],max:3,offset:3,orderby:['EmployeeID'])</h1>"
emp.eachDomainByEmployeeIDLessThan(conditions:[200],max:3,offset:3,orderby:['EmployeeID']) {d1->
   render "${d1.employeeID}<br />"
   }

