<%
/**
 *
 * viewer fuer Controller 
 * 
 */

// Imports
import java.text.DecimalFormat
import helper.DateConverter
import MVC.domain.LovDomain
import MVC.domain.UserDomain
/** 
 * Diverse Objekte
 */
DateConverter dc = new DateConverter()
Boolean fromcgi = false
def taglib = new MVC.taglib.Taglib(request:request)
List exclude = []   // Liste der angezeigten Mitareisenden,
                    // diese werden dann bei der Auswahlliste excludiert

String currentYear = (new Date().getYear()+1900).toString()
%>
<h1 class="blockname">Benutzerverwaltung</h1>

  <!--                                      -->
  <!--   Ausgabe GRID                       -->
  <!--                                      -->

<table border="0" cellpadding="0" cellspacing="1" id="grid">
<%

 out<<taglib.listheader(
   class:'listHeader',
   th:[
      ['ID','Personalnummer'],
      ['user','Benutzername'],
      ['Realname','Realname'],
      ['Passwort','Passwort'],
      '&nbsp;'
    ])

   gridrows() {rec->

      out<<taglib.gridRow (
         buttonorientation:'right',
         domain:rec,
         editbuttontext:'',
         deletebuttontext:'',
         values:[
            rec.personalnummer,
            rec.username,
            rec.realname,
            rec.password
            ],
         hidden:[
            'personalnummer'
            ],
         addhidden:[
            ]
         )
      }

%>

   <tr><td colspan="99"><hr class="grid-trenner"></td></tr>

   <tr>

     <form name="edit">
     <%=taglib.getHiddenfieldsFromCGI(fields:['path','personalnummer'])%>
     <!--                                       -->
     <!-- Eingabemaske                          -->
     <!--                                       -->
     <td>

     <td class="grid">
     <%=taglib.promptinput(
         name:'username',
         prompt:'',
         nohtml:true,
         maxlength:32,
         fromcgi:fromcgi,
         size:10,
         style:'font-weight:bold',
         value:fields.username
         )%>
     </td>

     <td class="grid">
     <%=taglib.promptinput(
         name:'realname',
         prompt:'',
         nohtml:true,
         maxlength:32,
         fromcgi:fromcgi,
         size:10,
         value:fields.realname
         )%>
     </td>

     <td class="grid">
     <%=taglib.promptinput(
         name:'password',
         prompt:'',
         nohtml:true,
         maxlength:32,
         fromcgi:fromcgi,
         size:10,
         style:'color:red',
         value:fields.password
         )%>

     </td>

     <td colspan="99">
       <%
       out<<taglib.gridSubmitbutton(action,submitbutton)
       %>
     </td>

    </form>
   </tr>


</table>
 <script language="javascript">document.edit.username.focus()</script>
