// /////////// Basisroutinen fuer Logging ////////////////////
// 
// Stellt die Basisfunktionen fuer logging bereit
// 
// 
// 
// @author:    W. Nagy
// @date:      20.12.2007
// @version:   0.1
// 
// -- wann --+-wer-+-- was ----------------------------------------------
// 20.12.2007| ny  | erstellt
//           |     | 
//           |     | 
//           |     | 
//           |     | 
// 
// 
// 
// 

package framework.logging

import java.io.IOException
import java.util.logging.*


// =====================================================================
public class Logging {
// =====================================================================
   // 
   // 
   // @param:  request           mein Konstruktur uebergeben
   // 
   // 
   // 
   def request     // muss vom Konstruktor bergeben werden

   static final String base = '/WEB-INF/log'
   static Logger logger
   Handler fLog = null
   Formatter FText
   
   // --- Setzen des Logfiles ------------------------------------------
   void openLog(String name,String filename) {
   // ------------------------------------------------------------------
      // 
      // @param:  filename          Dateiname 
      //                            Der Pfad wird durch base 
      //                            und logdir bestimmt
      // 
      // 

      logger = Logger.getLogger(name)

      try {
         if (fLog == null)  fLog = new FileHandler(filename,true)  // true = append 
         }
      catch (Exception e) {
         throw new Exception ("Fehler beim erstellen des logfiles OS Message: ${e.message}\n")
         }
      fText = new SimpleFormatter()
      fLog.setFormatter(fText)
      logger.setLevel(Level.ALL)
      logger.addHandler(fLog)
      }

   // --- schreibe Logeintrag-------------------------------------------
   void info(String text) {
   // ------------------------------------------------------------------
      // 
      // Schreibe Logeintrag als Info
      // 
      // @param:  text        Text des Logeintrags
      // 
      // 
      this.logger.info(text)
      }

   // --- schreibe Logeintrag-------------------------------------------
   void closeLog() {
   // ------------------------------------------------------------------
      // 
      // Schreibe Logeintrag als Info
      // 
      // @param:  text        Text des Logeintrags
      // 
      // 
      this.fLog.flush()
      this.fLog.close()
      }
   }