@echo off
rem -------------------------------------------------------------
rem 
rem	Eingestaendige Webapplikation
rem	
rem	Diese Routine startet den Webserserver
rem	
rem	
rem	W. Nagy
rem	25.07.2008
rem
rem	update:
rem	25.07.2008 ny	erstellt
rem   10.10.2008 ny  Prfung ob JAVA_HOME existiert
rem   
rem   
rem -------------------------------------------------------------


   rem KONFIGRATION
   rem ------------

   rem J = Bundle mit integrierter JRE
   rem N = verwende JRE des Rechners
   set JRE_ONBOARD=J

   rem EXE = Startet jetty-Service.exe
   rem JAVA = Startet java start.java 
   set START_AS_SERVICE=EXE

   rem Setzen interne JRE wenn gewuenscht
   if "%JRE_ONBOARD%" == "J" goto setJRE
   goto check_JAVAHOME

:setJRE
   rem Pruefen, ob JRE mitgeliefert wurde
   rem wenn nein dann Fehlermeldung
   
   if NOT exist jre goto no_JRE_on_board
   set JAVA_HOME=%cd%\jre
   echo setzte JAVA_HOME auf %JAVA_HOME%
   goto start_server

:check_JAVAHOME
   rem Fehlermeldung wenn JAVA_HOME nicht definiert ist
   if "%JAVA_HOME%" == "" goto check_if_jre_in_bundl
   goto start_server

:check_if_jre_in_bundl
   rem wenn kein Verzeichnis jre existiert
   rem Fehlermeldung
   if exist jre goto start_server
   goto no_java

:start_server
   rem Entscheiden ob Wrapper oder JAVA aufgerufen werden soll
   if NOT "%START_AS_SERVICE%"=="EXE" goto start_as_service

   rem Starten jar direkt
   echo Start jar File
   cmd /c "%JAVA_HOME%\bin\java" -jar start.jar
   goto exit

:start_as_service
   rem Starten WEBSERVER als Service
   set	bin="%CD%\bin"
   echo	Starte Webserver
   %bin%\Jetty-Service.exe
   goto exit

:no_java
   echo **** FEHLER ****
   echo JAVA_HOME ist nicht definiert
   pause
   goto exit

:no_JRE_on_board
   echo **** FEHLER ****
   echo Es soll JRE verwendet werden sie ist aber nich im Pfad
   pause
   goto exit

:exit
