/**
 * Demonstriert die Verwendung
 * von Dialogen
 *
 * Es gibt zwei Dialogarten
 *    + Informationsdialog
 *       Es wird eine Meldung und ein OK Button ausgegeben
 *       Dem Dialog, wird ein Url uebergeben, welcher nach
 *       betaetigen der Schaltflaeche aufgerufen wird.
 *
 *    + Eine Abragedialog
 *       Es wird eine Meldung und zwei Schaltflaechen ausgegeben
 *       Der Routine, werden zwei URL uebergeben.
 *       OK Url, der aufgerufen wird, wenn der OK Button gedruckt wird
 *       Back Url, der aufgerufen wrid, wenn der Cancel Button gedrueckt wird.
 *       
 * Die Beschriftung der Schaltflaechen kann geaendert werden,.
 *
 */
import framework.helper.Dialog

Dialog dialog = new Dialog(controller:this)

// === E V E N T    L O O P =========================
String action = cgiparam(name:'action',nvl:'')
switch (action) {
   case '' :

     /** Aufruf eines Informationsdialogs */
      dialog.information(
        /** Meldung */
         message:"Ein Testdialog<br />Wenn Sie OK Dr&uuml;cken wird ein Confirmationsdialog aufgerufen",
        /** URL welcher aufgerfuen wird nachdem die Schaltflaeche gedrueckt wurde */
         okurl:"path=${path}&action=confirm"
         )
      break

   case 'confirm' : 
     /**  Aufruf eines Konfirmatinsdialogs */
      dialog.confirm(
         // Meldung
         message:"Was soll geschehen?<br />Sie k&ouml;nnen zum Start (home) oder die Prozedur nochmals aufrufen (zur&uuml;ck).",
         // Url fuer OK Schaltflaeche
         okurl:"path=/root",
         // Url fuer Back Schaltflaeche
         backurl:"path=${path}",
         // Beschriftung der Schaltflaechen
         buttons:['Home','zur&uuml;ck']
         )
      break
   default :
      break
   }

