/**
 * Dieser Controller Demonstriert die Verwendung
 * eines alternativen Maintemplate (Container)
 * 
 * Container plainlist.gsp
 * 
 */
package MVC.root.extras.sonstiges

import MVC.domain.JobsDomain

JobsDomain jobs = new JobsDomain(db:db.dbh)

/**
 * Alternativer Container angeben
 * Es wird main.gsp ueberschrieben.
 */
setContainer('plainlist.gsp')

/**
 * Liste fuer Viewre
 */
list = {Closure closure ->
   jobs.eachDomain{domJobs->
      closure.call(domJobs)
      }
   }

/**
 * AUfruf viewer
 */
view filename:'plainlist.tpl',
     bindings:[
        list:list
        ]
