rem = '''
@echo off

set GROOVY_HOME = %cd%\\..\\..\\..\\..\\..\\bin\\groovy
set JAVA_HOME   = %cd%\\..\\..\\..\\..\\..\\bin\\jre

path=%cd%\\..\\..\\..\\..\\..\\bin\\groovy\\bin;%PATH%
set CLASSPATH=%cd%/HTMLUNIT
set ROOTDIR=%cd%

cd ..\\..\\WEB-INF\\classes
set CLASSPATH=%CLASSPATH%;%cd%

cd %ROOTDIR%
call groovy.bat webtest.bat
goto exit
rem ********** START GROOVY ******************    '''  
import com.gargoylesoftware.htmlunit.WebClient
import groovy.sql.Sql

HOST='localhost'
println "HOST: ${HOST}"

webClient = new WebClient()
page = ''

messages = []

// Pruefen ob Maske aufgerufen wurde
Boolean isMask(String path) {
   if (page.getTitleText() =~ /\[$path\]/) {
      messages.add("Path ${path} OK")
      return true
      }
   else {
      messages.add("Path ${path} nicht gefunden")
      return false
      }
   }

// Aufrufen einer Funktion
Boolean callPath(String path) {
   def link = page.getAnchorByHref("/mframe/start.groovy?path=${path}")
   println "goto --> [${path}]"
   page = link.click()
   return isMask(path)
   }

// von List
void chooseEmployee(Integer empID) {
   def form = page.getFormByName("edit-employeeID-${empID}")
   page = form.submit()
   }

// Aendern Gehalt
void changeSalary(String salary) {
   println "Check Gehaltsbuchung ${salary}"
   def form = page.getFormByName("edit")
   def salaryinput = form.getInputByName('salary')
   salaryinput.setValueAttribute(salary)
   def button = form.getInputByValue('speichern')
   page = button.click()

   chooseEmployee(204)
   salaryinput = form.getInputByName('salary')
   String retval = salaryinput.getValueAttribute()

   if (retval == salary) 
      messages.add("Gehaltsbuchung (${retval}) ist OK")
   else
      messages.add('Gehalt konnte nicht gebucht werden')
   }


void gotoJobs () {
   callPath('/root')
   callPath('/root/jobs')
   println "Check Jobs"
   def form = page.getFormByName('edit')
   form.getInputByName('jobID').setValueAttribute('PUTZ')
   form.getInputByName('jobTitle').setValueAttribute('Putzfrau')
   page = form.getInputByName('submit-new').click()

   form = page.getFormByName('edit-jobID-PUTZ')
println form
   page = form.getInputByValue('edit').click()
   form = page.getFormByName('edit')
   form.getInputByName('minSalary').setValueAttribute('10000')
   form.getInputByName('submit-save').click()
   }

// LOGIN
void login() {
   page = webClient.getPage("http://${HOST}:8080/mframe/start.groovy")
   assert page.getTitleText() =~ /^mframe/ : 'Kein Login Fenster'

   def form = page.getFormByName('edit')

   def username = form.getInputByName('username')
   def password = form.getInputByName('password')

   username.setValueAttribute('admin')
   password.setValueAttribute('admin')
   
   def button = form.getInputByValue('Anmelden')
   page = button.click()

   assert page.getTitleText() =~ /\[\/root\]/ : "\nLogin konnte nicht durchgefuehrt werden\n"
   messages.add('Login OK ')
   }


login()
callPath('/root/employees')
chooseEmployee(204)
changeSalary('12000.12')
gotoJobs()

println "\n\n** Log **\n"
println messages.join("\n")

rem = ''' ************* ENDE GROOVY ***************
:exit
pause
rem '''
